PAC(8)

NAZWA
pac - informacja rozliczeniowa drukarki/plottera

SKŁADNIA
pac [-Pdrukarka] [-c] [-m] [-pcena] [-s] [-r] [nazwa ...]

OPIS
Pac (printer/plotter accounting) czyta pliki rozliczeniowe drukarki/plottera, sumując liczbę stron (typowy przypadek) lub stóp (dla urządzeń rastrowych) papieru zużytego przez każdego z użytkowników, i wypisuje ile zużył każdy z nich w stronach czy stopach i w dolarach.

Dostępne opcje i operandy:

-Pdrukarka
    Rozliczenie wykonywane jest dla zadanej drukarki. Normalnie, rozliczanie wykonywane jest dla drukarki domyślnej (zależnej od konkretnego systemu) lub drukarki określonej wartością zmiennej środowiska PRINTER.

-c  powoduje, że wyjście zostanie posortowane według kosztów; normalnie jest ono sortowane alfabetycznie według nazwy użytkownika.

-m  powoduje, że w pliku rozliczeniowym ignorowana będzie nazwa hosta. Pozwala to użytkownikowi pracującemu na wielu maszynach na połączenie wszystkich opłat za drukowanie.

-pcena
    Wartość ceny używana jest jako koszt w dolarach, zamiast domyślnej wartości 0.02 lub ceny określonej w /etc/printcap.

-r  Odwraca porządek sortowania.

-s  Informacja rozliczeniowa jest sumowana w sumarycznym pliku rozliczeniowym; sumowanie to jest niezbędne, gdyż na obciążonym systemie plik rozliczeniowy może powiększać się o kilkanaście wierszy dziennie.

nazwy
    Statystyki wypisywane są tylko dla użytkownika(ów) o zadanej nazwie; zwykle, statystyki są wypisywane dla każdego użytkownika, który zużył jakikolwiek rodzaj papieru.

PLIKI
/var/account/?acct
    nieprzetworzone pliki rozliczeniowe
/var/account/?_sum
    sumaryczne pliki rozliczeniowe
/etc/printcap
    baza danych możliwości drukarek

ZOBACZ TAKŻE
printcap(5a)

BŁĘDY
Obecnie nie jest jeszcze znana relacja pomiędzy ceną wyliczoną a rzeczywistą.

HISTORIA
Polecenie pac pojawiło się w 4.0BSD.